org.apache.hc.core5.http.config

## Class Http1Config.Builder

- java.lang.Object
- - org.apache.hc.core5.http.config.Http1Config.Builder

- Enclosing class:
    Http1Config

      public static class Http1Config.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Http1Config` | `build()`
    `Http1Config.Builder` | `setBufferSize(int bufferSize)`
    `Http1Config.Builder` | `setChunkSizeHint(int chunkSizeHint)`
    `Http1Config.Builder` | `setInitialWindowSize(int initialWindowSize)`
    `Http1Config.Builder` | `setMaxEmptyLineCount(int maxEmptyLineCount)`
    `Http1Config.Builder` | `setMaxHeaderCount(int maxHeaderCount)`
    `Http1Config.Builder` | `setMaxLineLength(int maxLineLength)`
    `Http1Config.Builder` | `setVersion(HttpVersion version)` Sets the effective HTTP/1.x protocol level (as expressed by the minor version).
    `Http1Config.Builder` | `setWaitForContinueTimeout(Timeout waitForContinueTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setVersion

          public Http1Config.Builder setVersion(HttpVersion version)

      Sets the effective HTTP/1.x protocol level (as expressed by the minor version). Presently only `HttpVersion.HTTP_1_0` and `HttpVersion.HTTP_1_1` are supported.
      Parameters:
        `version` - the effective HTTP/1.x protocol level.
      Returns:
        this instance.
      Since:
        5.3

    - #### setBufferSize

          public Http1Config.Builder setBufferSize(int bufferSize)

    - #### setChunkSizeHint

          public Http1Config.Builder setChunkSizeHint(int chunkSizeHint)

    - #### setWaitForContinueTimeout

          public Http1Config.Builder setWaitForContinueTimeout(Timeout waitForContinueTimeout)

    - #### setMaxLineLength

          public Http1Config.Builder setMaxLineLength(int maxLineLength)

    - #### setMaxHeaderCount

          public Http1Config.Builder setMaxHeaderCount(int maxHeaderCount)

    - #### setMaxEmptyLineCount

          public Http1Config.Builder setMaxEmptyLineCount(int maxEmptyLineCount)

    - #### setInitialWindowSize

          public Http1Config.Builder setInitialWindowSize(int initialWindowSize)

    - #### build

          public Http1Config build()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.